Subject: bug#9761: proposed list-buffers change -- revert buffer if point is in *Buffer List* buffer

From: Chong Yidong <[email-masked]>
Date: Sat, 15 Oct 2011 13:14:49 -0400

Zachary Kanfer <[email-masked]> writes:

> The command list-buffers always puts point at the end of the
> buffer. This patch changes the list-buffers command to simply revert
> the buffer if point is inside the *Buffer List* buffer. Since point is
> kept at the same line, the user can more easily see what changes have
> occurred.

This doesn't seem like a good idea.  It is better for `list-buffers' to
behave as unsurprisingly as possible, i.e. regardless of whether it's
called from a buffer list.

After all, the user can always call revert-buffer if that's what's
desired.